global function CodeCallback_MapInit
#if SERVER
entity function CreateEditorProp(asset a, vector pos, vector ang, bool mantle = false, float fade = 2000)
{
	entity e = CreatePropDynamic(a,pos,ang,SOLID_VPHYSICS,fade)
	e.kv.fadedist = fade
	if(mantle) e.AllowMantle()
	return e
}
#endif

void function CodeCallback_MapInit()
{
	PrecacheModel($"models/industrial/modular_wall_metal_brace_03.mdl")
	PrecacheModel($"models/domestic/wall_panel_fiberglass_corner.mdl")
	PrecacheModel($"models/imc_base/imc_tech_panel_64_01.mdl")
	PrecacheModel($"models/imc_base/cargo_container_imc_01_orange.mdl")
	PrecacheModel($"models/rise/rise_door_01.mdl")

	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< -1984.94,609.625,298.719>,< -0.878906,179.736,22.6758>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< -1847.03,600.5,293.344>,< -3.12012,179.209,27.8613>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< -1698,667.75,369.625>,< 0,180,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< -1555,667.75,369.625>,< 0,180,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< -1412,667.75,369.625>,< 0,180,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< -1178.5,666.844,368.344>,< 0,180,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< -1035.5,666.844,368.344>,< 0,180,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< -892.5,666.844,368.344>,< 0,180,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< -749.5,666.844,368.344>,< 0,180,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< -1908.44,668.25,366.188>,< 0,-1.01074,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< -1908.44,668.25,469.969>,< 0,-1.01074,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< -1769.34,673.969,377.5>,< 0,134.604,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< -1769.34,673.969,481.25>,< 0,134.604,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< -1626.78,675.5,370>,< 0,134.209,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< -1626.78,675.5,473.75>,< 0,134.209,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< -1483.75,676.063,369.5>,< 0,133.682,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< -1483.75,676.063,473.313>,< 0,133.682,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< -1106.59,672.969,378.25>,< 0,129.99,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< -1106.59,672.969,482.094>,< 0,129.99,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< -963.75,674.688,374.5>,< 0,133.989,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< -963.75,674.688,478.313>,< 0,133.989,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< -821.5,673.688,372.094>,< 0,137.021,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< -821.5,673.688,475.875>,< 0,137.021,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< -678.906,672.5,370.125>,< 0,135,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< -678.906,672.5,473.875>,< 0,135,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/imc_tech_panel_64_01.mdl",< -1339.97,670.875,339.375>,< 0,90,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/imc_tech_panel_64_01.mdl",< -1405.75,670.875,339.375>,< 0,90,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< 918.313,538.625,366.375>,< 0,141.021,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< 1001.31,470.438,365.563>,< 0,141.021,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< 1213.78,299.594,372.125>,< 0,141.021,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< 1297.88,231.875,372>,< 0,141.021,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -1248.53,1086.25,355.313>,< 0,-170.2,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -1356.44,1081.13,355.438>,< 0,-83.0127,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -172.781,192.625,313.75>,< 0,180,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -1109.56,337.344,232.813>,< 0.307617,180,-3.99902>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -1110.81,341.125,329.5>,< 0.219727,180,-2.98828>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -1108.59,269.188,414.719>,< 2.72461,-179.912,-10.8545>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -171.563,192.531,406.906>,< 0,180,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -170.125,193.063,222.375>,< 0,180,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -161,100.688,211.969>,< 15.0293,-173.057,0.131836>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< 1109.22,-291.374,356.295>,< 0,141.987,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< -2000.06,-605.031,362.5>,< 0,-90,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< -1999.78,-432,360.375>,< 0,-90,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< -3134.06,165.5,518.813>,< 0,180,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< -3025.59,166.563,519.563>,< 0,180,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< -1999.06,-432.969,479.563>,< 0,-90,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< -1998.06,-605.031,482.719>,< 0,-90,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< 709.344,713.375,363.875>,< 0,141.021,0>, true, 8000 )
	CreateEditorProp($"models/rise/rise_door_01.mdl",< -188.375,1307.94,208.25>,< 0,0,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -3294.59,1410.72,316.094>,< 0,88.9893,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -1357.94,1081.31,447.719>,< 0,-83.0127,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -3205.16,1409.31,316.094>,< 0,88.9893,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -3294.28,1411.44,412>,< 0,88.9893,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -3205.41,1409.88,412.813>,< 0,88.9893,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -3205.75,1410,509>,< 0,88.9893,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -3294.25,1411.78,508.875>,< 0,88.9893,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -3295.19,1292.69,316.5>,< 0,88.9893,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -3207.75,1291.28,316.438>,< 0,88.9893,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -3295.16,1290.91,410.875>,< 0,88.9893,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -3207.25,1288.78,412.5>,< 0,88.9893,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< 3983.19,1607.25,78.3438>,< -0.922852,88.9893,2.02148>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< 4002.5,1498.66,77>,< 0,0,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< 4002.38,1498.69,175.688>,< 0,0,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< 4002.88,1498.44,272.438>,< 0,0,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< 3988.53,1604.25,174.813>,< -0.922852,88.9893,2.02148>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< 3990.5,1601.25,272.469>,< -0.922852,88.9893,2.02148>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< 1286.32,-423.236,361.721>,< 0,141.987,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -599.313,-1421.53,445.594>,< 0,137.021,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< -986.125,-1097.22,618.625>,< 0,-135,0>, true, 8000 )
	CreateEditorProp($"models/rise/rise_door_01.mdl",< -827.979,-316.294,248.293>,< 0,90,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< 586.406,827.844,408.5>,< 0,0,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< 642.906,782.188,394.25>,< 0,137.021,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< 650.719,776.188,394.156>,< 0,137.021,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< 658.25,770.344,394.563>,< 0,137.021,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< -606.509,666.844,368.344>,< 0,180,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< 1109.22,-291.374,484.499>,< 0,141.987,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< 1286.32,-423.236,489.925>,< 0,141.987,0>, true, 8000 )
	CreateEditorProp($"models/rise/rise_door_01.mdl",< -2004.7,-473.13,377.139>,< 0,0,0>, true, 8000 )
	CreateEditorProp($"models/rise/rise_door_01.mdl",< -2004.56,-563.699,582.007>,< 0,0,180>, true, 8000 )
	CreateEditorProp($"models/rise/rise_door_01.mdl",< 1164.3,-326.283,559.326>,< -2.03556e-013,-127,-180>, true, 8000 )
	CreateEditorProp($"models/rise/rise_door_01.mdl",< 1233.82,-379.053,356.089>,< 0,-127,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< 1232.81,-366.074,362.887>,< -0,142.021,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< 1232.81,-366.074,466.677>,< 0,142.031,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< 1171.9,-319.824,363.79>,< 0,142.031,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< 1171.9,-319.824,467.581>,< 0,142.031,0>, true, 8000 )
}